Files
apfstests/tests/generic/131
T

79 lines
1.5 KiB
Bash
Raw Normal View History

#! /bin/bash
2018-06-09 11:35:42 +10:00
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
#
# FSQA Test No. 131
#
# lock test created from CXFSQA test lockfile_simple
2009-05-12 13:24:15 -05:00
#
2006-08-04 13:44:58 +00:00
seq=`basename $0`
seqres=$RESULT_DIR/$seq
2006-08-04 13:44:58 +00:00
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
kill $locktest_pid2 > /dev/null 2>&1
kill $locktest_pid1 > /dev/null 2>&1
2006-08-04 13:44:58 +00:00
}
# get standard environment, filters and checks
2013-03-15 12:28:04 +00:00
. ./common/rc
. ./common/filter
2006-08-04 13:44:58 +00:00
# real QA test starts here
2009-05-28 11:37:38 -05:00
_supported_fs generic
2006-08-04 13:44:58 +00:00
_supported_os Linux
_require_test
_require_test_fcntl_advisory_locks
2006-08-04 13:44:58 +00:00
2013-12-03 10:29:26 +11:00
TESTFILE=$TEST_DIR/lock_file
2006-08-04 13:44:58 +00:00
2019-03-19 14:27:55 +08:00
rm -f $TEST_DIR/server.out
touch $TEST_DIR/server.out
2006-08-04 13:44:58 +00:00
# Start the server
src/locktest $TESTFILE 2>&1 > $TEST_DIR/server.out &
locktest_pid1=$!
2006-08-04 13:44:58 +00:00
timeout=30
while [ $timeout -gt 0 ]; do
sleep 1
2006-08-04 13:44:58 +00:00
PORT=$(cat $TEST_DIR/server.out | grep "^server port: " | awk '{print $3}')
if [ -n "$PORT" ]; then
break
fi
# check the existence of server process
if ! kill -s 0 $locktest_pid1 >/dev/null 2>&1; then
echo "Server died abnormally"
exit 1
fi
let timeout=timeout-1
done
if [ -z "$PORT" ]; then
echo "Could not get server port"
exit 1
fi
2006-08-04 13:44:58 +00:00
# Start the client
2013-12-03 10:29:26 +11:00
src/locktest -p $PORT -h localhost $TESTFILE 2>&1 > $TEST_DIR/client.out
locktest_pid2=$!
2006-08-04 13:44:58 +00:00
result=$?
if [ $result -eq 0 ]; then
echo success!
status=0
2006-08-04 13:44:58 +00:00
else
echo "Client reported failure ($result)"
2013-12-03 10:29:26 +11:00
cat $TEST_DIR/*.out
2006-08-04 13:44:58 +00:00
fi
exit